Subject: bug#21474: emacs-25.0.50: compilation error in leim: Args out of

From: Noam Postavsky <[email-masked]>
Date: Sat, 26 Nov 2016 17:30:46 -0500

On Sat, Nov 26, 2016 at 4:17 PM, Rob Browning <[email-masked]> wrote:
>
> In any case, after poking around in the newer emacs-25 commits (as
> mentioned above), it seemed like applying these allocation related
> patches might help:
>
>   b6998ea * src/regex.h (re_match_object): Improve commentary.
>   ad66b3f Fix handling of allocation in regex matching
>   f6134bb Port to GCC 6.2.1 + --enable-gcc-warnings
>   c2a1792 * src/regex.c (re_search_2): Make new code safe for -Wjump-misses-init.
>   ee04aed Fix handling of buffer relocation in regex.c functions
>   7bb5c4f Port --enable-gcc-warnings to bleeding-edge glibc
>   1047496 Another fix for using pointer to buffer text
>   96ac0c3 Yet another fix for using pointers into buffer text
>   32827b3 Default REL_ALLOC to 'no'
>   fee4cef Revert fixes to allocation of regex matching
>   43986d1 Inhibit buffer relocation during regex searches
>   0221b7a Mark relocation workarounds with REL_ALLOC

You could probably trim a bit, e.g. just the "Default REL_ALLOC to
'no'" by itself should work, or a minimal set with REL_ALLOC=yes
should be listed at
https://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00971.html.

>
> And indeed, with those, I've yet to see a crash, but as we know, they're
> intermittent.  To help increase confidence, two others who have been
> able to produce the crash are probably also going to test that tree
> soon.

Doing  'make extraclean && ./configure && make' seemed to be fairly
reliable way of reproducing it (if configured with GTK).